Bug 21490 - Disambiguation of "Order"
Summary: Disambiguation of "Order"
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Target Milestone: ---
Assignee: Caroline Cyr La Rose
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-04 15:42 UTC by Caroline Cyr La Rose
Modified: 2018-11-28 15:34 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 21490: Disambiguation of 'Order' (1.20 KB, patch)
2018-10-04 18:55 UTC, Caroline Cyr La Rose
Details | Diff | Splinter Review
Bug 21490: Disambiguation of 'Order' (7.04 KB, patch)
2018-10-04 18:55 UTC, Caroline Cyr La Rose
Details | Diff | Splinter Review
Bug 21490: Disambiguation of 'Order' (1.25 KB, patch)
2018-10-05 16:13 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21490: Disambiguation of 'Order' (7.09 KB, patch)
2018-10-05 16:13 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21490: Disambiguation of 'Order' (1.31 KB, patch)
2018-10-06 20:58 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21490: Disambiguation of 'Order' (7.14 KB, patch)
2018-10-06 20:58 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Caroline Cyr La Rose 2018-10-04 15:42:51 UTC
"Order" is translatable in different ways in French

* "Order" as in "Rank" (noun)
* "Order" as in "To rank" (verb)
* "Order" as in "To place an order with a vendor" (verb)
* "Order" as in "Order with a vendor" (noun)

in the *-staff-prog.po file, there are three instances where "Order" is used in different contexts

#: intranet-tmpl/prog/en/modules/tools/marc_modification_templates.tt:89
#: intranet-tmpl/prog/en/modules/acqui/transferorder.tt:68
#: intranet-tmpl/prog/en/modules/acqui/newordersuggestion.tt:58
#: intranet-tmpl/prog/en/modules/acqui/newordersuggestion.tt:60
#: intranet-tmpl/prog/en/modules/acqui/z3950_search.tt:112
#: intranet-tmpl/prog/en/modules/acqui/z3950_search.tt:118
#: intranet-tmpl/prog/en/modules/acqui/spent.tt:30
#: intranet-tmpl/prog/en/modules/acqui/basket.tt:355
#: intranet-tmpl/prog/en/modules/acqui/basket.tt:538
#: intranet-tmpl/prog/en/modules/acqui/uncertainprice.tt:81
#, c-format
msgid "Order"
msgstr "Ordre"

#: intranet-tmpl/prog/en/modules/acqui/ordered.tt:30
#: intranet-tmpl/prog/en/modules/acqui/newordersubscription.tt:73
#: intranet-tmpl/prog/en/modules/acqui/neworderbiblio.tt:74
#, c-format
msgid "Order "
msgstr "Commande"

#: intranet-tmpl/prog/en/modules/acqui/transferorder.tt:16
#, c-format
msgid "Order: "
msgstr "Commande :"


These should be "Order" as in "Rank" (noun)
* marc_modification_templates.tt

These should be "Order" as in "To place an order with a vendor" (verb)
* newordersuggestion.tt
* z3950_search.tt 
* newordersubscription.tt
* neworderbiblio.tt

These should be "Order" as in "Order with a vendor" (noun)
* transferorder.tt
* spent.tt
* basket.tt
* uncertainprice.tt
* ordered.tt
Comment 1 Caroline Cyr La Rose 2018-10-04 15:47:48 UTC
If the only solution is to change the English wording, I propose the following

* "Rank" for "Order" as in "Rank" (noun)
* "Place order" for "Order" as in "To place an order with a vendor" (verb)
* "Order" for "Order" as in "Order with a vendor" (noun)

I don't really have an idea for "To rank", but I haven't seen it used as a verb.
Comment 2 Caroline Cyr La Rose 2018-10-04 18:55:19 UTC
Created attachment 79961 [details] [review]
Bug 21490: Disambiguation of 'Order'

This patch changes the 'Order' term in marc_modification_template.tt
for 'Rank'.
Comment 3 Caroline Cyr La Rose 2018-10-04 18:55:40 UTC
Created attachment 79962 [details] [review]
Bug 21490: Disambiguation of 'Order'

This patch changes the 'Order' term in neworderbiblio.tt,
newordersubscription.tt, newordersuggestion.tt, and
z3950_search.tt for 'Place order'.
Comment 4 Owen Leonard 2018-10-05 16:13:26 UTC
Created attachment 80142 [details] [review]
Bug 21490: Disambiguation of 'Order'

This patch changes the 'Order' term in marc_modification_template.tt
for 'Rank'.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 5 Owen Leonard 2018-10-05 16:13:30 UTC
Created attachment 80143 [details] [review]
Bug 21490: Disambiguation of 'Order'

This patch changes the 'Order' term in neworderbiblio.tt,
newordersubscription.tt, newordersuggestion.tt, and
z3950_search.tt for 'Place order'.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 6 Katrin Fischer 2018-10-06 20:55:35 UTC
Hi Caroline, please don't forget to assign the bug to yourself!
Comment 7 Katrin Fischer 2018-10-06 20:58:27 UTC
Created attachment 80172 [details] [review]
Bug 21490: Disambiguation of 'Order'

This patch changes the 'Order' term in marc_modification_template.tt
for 'Rank'.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Katrin Fischer 2018-10-06 20:58:32 UTC
Created attachment 80173 [details] [review]
Bug 21490: Disambiguation of 'Order'

This patch changes the 'Order' term in neworderbiblio.tt,
newordersubscription.tt, newordersuggestion.tt, and
z3950_search.tt for 'Place order'.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Nick Clemens 2018-10-17 19:25:15 UTC
Awesome work all!

Pushed to master for 18.11
Comment 10 Martin Renvoize 2018-10-26 12:43:53 UTC
Pushed to 18.05.x for 18.05.06
Comment 11 Fridolin SOMERS 2018-11-09 14:40:22 UTC
Pushed to 17.11.x for 17.11.12